> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `GET /api/v1/customers/:id`

> `GET /api/v1/customers/:id`

### Path parameters

<ParamField path="id" type="string" required>
  Customer ID (UUID)
</ParamField>

### Responses

<ResponseField name="200" type="CustomerResponse">
  Customer details
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Customer not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/customers/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "accepts_marketing": true,
    "created_at": "2026-07-24T12:00:00Z",
    "email": "string",
    "first_name": "string",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "last_name": "string",
    "phone": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
